## Privacy Policy

This Privacy Policy explains how Raccoon for Friendica (hence the "App") handles your personal
information. Please read this policy carefully to understand our practices regarding your data.

### Data collection and usage

#### Analytics and crash reports

The App uses a third party service called Sentry to send crash reports, which is disabled by default
and must be manually enabled in the App Settings if you opt-in to the service.

The data collected by Sentry only contain technical information to help the maintainers debug the
crash and do not include any personal identifiable information (PII). Even if Sentry mentions IP
addresses among the data it collects, this has been disabled for this project and the information is
anonymous and minimized to the smallest set of data useful for diagnostics.

For more information, please refer to Sentry privacy policy [here](https://sentry.io/privacy/).

The App does not collect _per se_ any other analytics about its usage.

#### Remote contents

Mind that the contents you create and the result of the interactions with other contents you engage
in (including but not limited to the posts you create, the people you follow, your reaction to other
people's posts, etc.) is sent to the remote instance you are connecting to and server
administrators can access everything in plain text.

As a consequence, server admins are responsible for the usage they make of these data and the
maintainers of the App shall bear no liability whatsoever.

Please refer to the specific privacy policy of the instance you are connecting to or contact its
administrators in case of doubts.

#### Local storage

The only kinds of data that that is stored locally on your device are:

- drafts for unpublished posts;
- application settings (not account preferences, which are saved server-side);
- the tokens used to authenticate your connection to the server.

These data are completely and permanently removed once you uninstall the App and, the last category
being the most important one, it is saved in an encrypted local key store.

Should an OAuth2 token get somehow compromised, it can be invalidated and revoked in your account
settings at any time.

### Permissions

The App requires certain permissions to access device features necessary for its functionality.
These permissions may include access to the device's storage or hardware features.

However, these permissions are solely used within the App and for the purpose that is clearly made
apparent to the end user (e.g. uploading a picture as an attachment to a post).

### Changes to the Privacy Policy

We may update this Privacy Policy from time to time to reflect any changes in our practices or legal
requirements. We will notify you about significant changes by providing a prominent notice within
the App or by other means. We encourage you to review this privacy policy periodically.

### Your Consent

By using th App, you consent to this privacy policy.

### Contact Us

If you have any questions, concerns, or suggestions regarding this privacy policy or our privacy
practices, please contact us at livefast.eattrash.raccoon@gmail.com.

--- 

Last updated: 2024-11-16
